/*
 * Copyright (C) 2013 ~ 2017 National University of Defense Technology(NUDT) & Tianjin Kylin Ltd.
 *
 * Authors:
 *  Kobe Lee    lixiang@kylinos.cn/kobe24_lixiang@126.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 3.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QListWidget>
#include <QScopedPointer>


class PlayListView : public QListWidget
{
    Q_OBJECT
public:
    explicit PlayListView(QWidget *parent = 0);
    ~PlayListView();
    void checkScrollbarSize();

public slots:
    void updateScrollbar();
    void slot_scrollbar_value_changed(int value);

signals:
    void customResort(const QStringList &uuids);

protected:
    virtual void wheelEvent(QWheelEvent *event);
    virtual void resizeEvent(QResizeEvent *event);

private:
    QScrollBar *vscrollBar;
    int scrollBarWidth;
    int itemHeight;
};
